diff -c -r postgresql-8.4.orig/src/backend/access/transam/xlog.c postgresql-8.4/src/backend/access/transam/xlog.c
*** postgresql-8.4.orig/src/backend/access/transam/xlog.c	2008-04-24 13:43:16.000000000 +0200
--- postgresql-8.4/src/backend/access/transam/xlog.c	2008-04-24 13:54:31.000000000 +0200
***************
*** 7101,7114 ****
  	{
  		ereport(LOG,
  				(errmsg("online backup mode cancelled"),
! 				 errdetail("\"%s\" renamed to \"%s\"",
  						BACKUP_LABEL_FILE, BACKUP_LABEL_OLD)));
  	}
  	else
  	{
  		ereport(WARNING,
  				(errcode_for_file_access(),
! 				 errmsg("could not rename \"%s\" to \"%s\", backup mode not cancelled: %m",
  						BACKUP_LABEL_FILE, BACKUP_LABEL_OLD)));
  	}
  }
--- 7101,7115 ----
  	{
  		ereport(LOG,
  				(errmsg("online backup mode cancelled"),
! 				 errdetail("\"%s\" was renamed to \"%s\".",
  						BACKUP_LABEL_FILE, BACKUP_LABEL_OLD)));
  	}
  	else
  	{
  		ereport(WARNING,
  				(errcode_for_file_access(),
! 				 errmsg("online backup mode was not cancelled"),
! 				 errdetail("Failed to rename \"%s\" to \"%s\".",
  						BACKUP_LABEL_FILE, BACKUP_LABEL_OLD)));
  	}
  }
diff -c -r postgresql-8.4.orig/src/bin/pg_ctl/pg_ctl.c postgresql-8.4/src/bin/pg_ctl/pg_ctl.c
*** postgresql-8.4.orig/src/bin/pg_ctl/pg_ctl.c	2008-04-24 13:43:16.000000000 +0200
--- postgresql-8.4/src/bin/pg_ctl/pg_ctl.c	2008-04-24 13:49:26.000000000 +0200
***************
*** 767,774 ****
  	{
  		if ((shutdown_mode == SMART_MODE) && (stat(backup_file, &statbuf) == 0))
  		{
! 			print_msg(_("WARNING: online backup mode is active; must be ended\n"
! 						"   with pg_stop_backup() for shutdown to complete\n\n"));
  		}
  
  		print_msg(_("waiting for server to shut down..."));
--- 767,774 ----
  	{
  		if ((shutdown_mode == SMART_MODE) && (stat(backup_file, &statbuf) == 0))
  		{
! 			print_msg(_("WARNING: online backup mode is active.\n"
! 						"Shutdown will not complete until pg_stop_backup() is called.\n\n"));
  		}
  
  		print_msg(_("waiting for server to shut down..."));
***************
*** 844,851 ****
  
  		if ((shutdown_mode == SMART_MODE) && (stat(backup_file, &statbuf) == 0))
  		{
! 			print_msg(_("WARNING: online backup mode is active; must be ended\n"
! 						"   with pg_stop_backup() for shutdown to complete\n\n"));
  		}
  
  		print_msg(_("waiting for server to shut down..."));
--- 844,851 ----
  
  		if ((shutdown_mode == SMART_MODE) && (stat(backup_file, &statbuf) == 0))
  		{
! 			print_msg(_("WARNING: online backup mode is active.\n"
! 						"Shutdown will not complete until pg_stop_backup() is called.\n\n"));
  		}
  
  		print_msg(_("waiting for server to shut down..."));
